Charges: Add new field Charge.cost which exposes the occurred charge costs if set up (via cost price group)
Webhooks: We have improved the latency (from event creation until delivery) significantly:
avg latency: from 8000ms to <2000ms
p90 latency: from 12000ms to <3000ms
Price Groups: You can configure spot-price pricings to support 15-min intervals instead of 60-min. While you can update this across all price group types, it is only officially supported for price groups of type cost, reimbursement and sponsored. Note: The underlying platform feature (15-min MTU for spot-prices) will be introduced End of September).
Organization authorization: Added to the following domains:
Charge Auth Tokens
Plans
Price Groups
Subscriptions
Users
π Fix
Teams: When using org-auth, the provided operatorId on team creation endpoint works properly now.
Deeplinks: Fixed a bug preventing to update an existing deeplink to a charge point resource.
Charge Points:GET /charge-points is ordered by id, ascending now.
Subscriptions: The request body field firstPurchaseAt in approve-subscriptions endpoint has been deprecated. Use nextPurchaseAt instead (for consistency reasons).
π Feature
Charges: Add new field Charge.kwhPerMaxResolution which provides kWh consumption in highest available resolution (usually 15min buckets).
Subscriptions: When creating a subscription you can provide nextPurchaseAt now.
π Fix
Currencies: Brought back the id field where it was missing.
Charges:Charge.kwhPerHour provides kWh consumption in hourly buckets.
Subscriptions: When filtering by multiple criteria in the list endpoint, only the first criteria was considered.
Users: When retrieving users, includeDeleted filter works properly now
Users:createdAt, updatedAt and deletedAt are taken from the respective Application User instead of the underlying user. This allows you to identify when a user signed up for / deleted the account from your app. This is necessary since the same user might belong to many applications (ie. Monta and your whitelabel application).